<f:for each="{locations -> v:iterator.chunk(count: 4)}" as="col" iteration="cycle">
    <div class="row my-0 my-md-3">
        <f:for each="{col}" as="location">
            <div class="col-md-3 col-sm-6 mb-3 mb-md-0">
                <f:render partial="List/Item" arguments="{settings: settings, location: location}" />
            </div>
        </f:for>
    </div>
</f:for>
